/* js */

//美化select
function my_select(){
    $('select').each(function(){
        var that=$(this);
        if(that.parent('.my-select').length==0){
           var select_wrap=$('<div class="my-select"></div>');     
           var $arrow=$('<i></i>');
           var $ul=$('<ul></ul>');
           var $li='';
           that.wrap(select_wrap);
           var select_val=[];
           var i=0;
           var len=that.find('option').length;
           for(i;i<len;i++){
               select_val.push(that.find('option').eq(i).text());
               $li+=('<li>'+that.find('option').eq(i).text()+'</li>')
           }
           var $p=$('<p>'+select_val[0]+'</p>');
           that.parent('.my-select').append($p);
           that.parent('.my-select').append($arrow);
           that.parent('.my-select').append($ul);
           that.parent('.my-select').find('ul').append($li); 
        }else{
            $('.my-select').off('click')
        }  

        //遍历一下所有select,将已经选中填到p中显示 
        that.find('option').each(function(){
            if($(this).attr('selected')=='selected'){
                var now_select_txt=$(this).text();
                if(now_select_txt!=''){
                    that.parent('.my-select').find('p').text(now_select_txt)
                }else{
                    that.parent('.my-select').find('p').text('没有可选项')
                }
            }
        })

    });



    //下面开始点击操作
    $('.my-select').on('click',function(event){
        $('.my-select').not($(this)).find('ul').slideUp(100).end().css('zIndex','888');
        var _this=$(this);
        var ulList=_this.find('ul');
        var ul_li=ulList.find('li');
        var p_txt=_this.find('p')
        event.stopPropagation();
        ulList.slideToggle(100);
        if(_this.css('zIndex')=='888'){
          _this.css('zIndex','999')
        }else{
          _this.css('zIndex','888')
        }
        
        //点击li,选中对应的索引option,便于select提交对应的值
        ul_li.off('click')
        ul_li.on('click',function(event){
            event.stopPropagation();
            var index=$(this).index();
            p_txt.text($(this).text());
            _this.find('option').removeAttr('selected').eq(index).prop('selected','selected');
            _this.find('select').trigger("change");
            _this.find('ul').slideUp(100).end().css('zIndex','888')         
        });
    })

    $(document).on('click',function(){
        $('.my-select').find('ul').slideUp(100).end().css('zIndex','888');
    });   

}


//自定义单选
function my_radio(){
    $('input[type="radio"]').each(function(){
        var that=$(this);
        var radio_name=that.attr('name');
        var radio_wrap=that.parent('.my-radio');
        if(radio_wrap.length==0){           
            that.wrap('<div class="my-radio"></div>');
            radio_wrap=that.parent('.my-radio')
            radio_wrap.append('<i></i>'); 
        }

        //初始化 
        if(that.prop('checked')==true){
            $('input:radio[name="'+radio_name+'"]').prop('checked',false).parent('.my-radio').removeClass('radio-on');
            that.prop('checked',true);
            radio_wrap.addClass('radio-on');
        }
        //初始化这里，考虑另一种情况，如果页面有多组name一样的，那么根据check进行设置
        $('input:radio[checked="checked"]').parents('.my-radio').addClass('radio-on');

        //勾选
        radio_wrap.parent('label').off('click')
        radio_wrap.parent('label').on('click',function(){
            if(that.prop('checked')==false){
                var _this=radio_wrap
                $('input:radio[name="'+radio_name+'"]').removeAttr('checked').parent('.my-radio').removeClass('radio-on');
                _this.addClass('radio-on').find('input[type="radio"]').prop('checked',true)
                _this.find('input[type="radio"]').trigger('change')
            }
        })

    })
}

//自定义多选

function my_check(){
    $('input[type="checkbox"]').each(function(){
        var that=$(this);
        var check_name=that.attr('name');
        var check_wrap=that.parent('.my-check')
        if(check_wrap.length==0){
            that.wrap('<div class="my-check"></div>');
            check_wrap=that.parent('.my-check')
            check_wrap.append('<i></i>')
        }

        //初始化
        if(that.prop('checked')==true){
            check_wrap.addClass('check-on');
        }else{
            check_wrap.removeClass('check-on');
        }



    });
    $('.my-check').off('click')
    $('.my-check').on('click',function(){
        var $checkbox=$(this).find('input')
        if($checkbox.prop('checked')==true){
            $(this).addClass('check-on');
        }else{
            $(this).removeClass('check-on');          
        }
    });

}

	
function mycheckall(e,f){
	if($(e).prop('checked')==true){
		$("#"+f+" input").prop("checked",true);
		$("#"+f+" div").addClass('check-on');
		$("#"+f+" input").attr("readonly","readonly");
		$("#"+f).hide("fast");
	}else{
		$("#"+f+" input").prop("checked",false);
		$("#"+f+" div").removeClass('check-on');
		$("#"+f+" input").removeAttr("readonly");
		$("#"+f).show("fast");
		}
	
	}
//检测是否为正整数
function isNumber(s){   
var regu = "^[0-9]+$"; 
var re = new RegExp(regu); 
if (s.search(re) != -1) { 
   return true; 
} else { 
   return false; 
} 
}